﻿# Le module python permet de tracer des graphiques d'évolution de surface foliaire à partir de photos diachroniques
# Les fichiers d'images doivent être au format jpg et avoir été prétraités pour vérifier les pixels verts des feuilles
# il est publié sous licence MIT
# Copyright © 2020 <Jean-Louis Gaudibert>

from PIL import Image
from alysepixels import *
import matplotlib.pyplot as plt

liste_pourcentage=[]
# listes à compléter avec les noms des fichiers des images et les dates des photos
liste_fichier=["A3-01.jpg","A3-02.jpg","A3-03.jpg"]
liste_date=["image 1","image 2","image 3"]
taille_liste_date=range(len(liste_date))

X=0
for X in range(0,len(liste_fichier)):
    imagetrait=Image.open(liste_fichier[X])
    hauteur=imagetrait.size[0]
    largeur=imagetrait.size[1]
    # remplissage d'une liste avec les valeur de pourcentage calculés pour chaque image par la fonction analysepixel
    liste_pourcentage.append(analysepixel(liste_fichier[X],hauteur,largeur))
    X+1
# affichage pour tester
# print(Liste_pourcentage)

# titre du graphique
plt.title("croissance des lentilles d'eau")
# limites verticales du graphique
plt.ylim(0,20)

# utilisation de la bibliothèque pyplot
plt.plot(taille_liste_date,liste_pourcentage,'r+-',label='A3')

plt.xticks(taille_liste_date, liste_date)
# localisation de la légende
legend=plt.legend(loc='upper right')

# légende des axes
plt.xlabel ("images traitées")
plt.ylabel ("pourcentage de couverture foliaire")

# affiche le graphique
plt.show()
